Mga tagapamahala ng notipikasyon
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Mga Parameter | Mga Detalye | Paglalarawan |
|---|---|---|
| search | Opsyonal String | Ang string ng paghahanap. |
| search_by | Opsyonal String | Anong larangan ang hinahanap mo. Ang mga pinapayagang halaga ay: name. |
| is_enabled | Opsyonal Boolean | |
| type | Opsyonal String | Anong larangan ang hinahanap mo. Ang mga pinapayagang halaga ay: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Opsyonal String | Pinapayagang mga halaga: datetime, last_datetime |
| datetime_start | Opsyonal String | I-filter ang mga resulta simula sa petsa at oras na ito. Format na Y-m-d H:i:s. |
| datetime_end | Opsyonal String | I-filter ang mga resulta hanggang sa petsa at oras na ito. Format na Y-m-d H:i:s. |
| order_by | Opsyonal String | Anong larangan ang dapat pag-utosan ng mga resulta. Ang mga pinapayagang halaga ay: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opsyonal String | Ang pagkakasunod-sunod ng mga resulta. Ang mga pinapayagang halaga ay: ASC para sa pataas na pagkakasunod-sunod, at DESC para sa pababang pagkakasunod-sunod. |
| search | Opsyonal String | Ang string ng paghahanap. |
| search_by | Opsyonal String | Anong larangan ang hinahanap mo. Ang mga pinapayagang halaga ay: name. |
| is_enabled | Opsyonal Boolean | |
| type | Opsyonal String | Anong larangan ang hinahanap mo. Ang mga pinapayagang halaga ay: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Opsyonal String | Pinapayagang mga halaga: datetime, last_datetime |
| datetime_start | Opsyonal String | I-filter ang mga resulta simula sa petsa at oras na ito. Format na Y-m-d H:i:s. |
| datetime_end | Opsyonal String | I-filter ang mga resulta hanggang sa petsa at oras na ito. Format na Y-m-d H:i:s. |
| order_by | Opsyonal String | Anong larangan ang dapat pag-utosan ng mga resulta. Ang mga pinapayagang halaga ay: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opsyonal String | Ang pagkakasunod-sunod ng mga resulta. Ang mga pinapayagang halaga ay: ASC para sa pataas na pagkakasunod-sunod, at DESC para sa pababang pagkakasunod-sunod. |
| page | Opsyonal Buong numero | Ang numero ng pahina na nais mong pagkuhanan ng mga resulta. Default ay 1. |
| results_per_page | Opsyonal Buong numero | Ilang resulta ang nais mo bawat pahina. Ang mga pinapayagang halaga ay: 10, 25, 50, 100, 250, 500, 1000. Ang default ay 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 11:38:33",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 11:38:33",
}
}
POST https://tistos.com/api/notification-handlers
| Mga Parameter | Mga Detalye | Paglalarawan |
|---|---|---|
| name | Kinakailangan String | - |
| type | Kinakailangan String | Pinapayagang mga halaga: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Opsyonal String | Magiging available kapag: type = email Email | |
| webhook | Opsyonal String | Magiging available kapag: type = webhook URL ng webhook |
| slack | Opsyonal String | Magiging available kapag: type = slack URL ng webhook ng Slack |
| discord | Opsyonal String | Magiging available kapag: type = discord URL ng webhook ng Discord |
| telegram | Opsyonal String | Magiging available kapag: type = telegram Token ng Telegram API |
| telegram_chat_id | Opsyonal String | Magiging available kapag: type = telegram Telegram Chat ID |
| microsoft_teams | Opsyonal String | Magiging available kapag: type = microsoft_teams URL ng webhook ng Microsoft Teams |
| google_chat | Opsyonal String | Magiging available kapag: type = google_chat Google Chat webhook URL |
| x_consumer_key | Opsyonal String | Magiging available kapag: type = x Token ng Telegram API |
| x_consumer_secret | Opsyonal String | Magiging available kapag: type = x Token ng Telegram API |
| x_access_token | Opsyonal String | Magiging available kapag: type = x Token ng Telegram API |
| x_access_token_secret | Opsyonal String | Magiging available kapag: type = x Token ng Telegram API |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| Mga Parameter | Mga Detalye | Paglalarawan |
|---|---|---|
| name | Opsyonal String | - |
| type | Opsyonal String | Pinapayagang mga halaga: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Opsyonal String | Magiging available kapag: type = email Email | |
| webhook | Opsyonal String | Magiging available kapag: type = webhook URL ng webhook |
| slack | Opsyonal String | Magiging available kapag: type = slack URL ng webhook ng Slack |
| discord | Opsyonal String | Magiging available kapag: type = discord URL ng webhook ng Discord |
| telegram | Opsyonal String | Magiging available kapag: type = telegram Token ng Telegram API |
| telegram_chat_id | Opsyonal String | Magiging available kapag: type = telegram Telegram Chat ID |
| microsoft_teams | Opsyonal String | Magiging available kapag: type = microsoft_teams URL ng webhook ng Microsoft Teams |
| google_chat | Opsyonal String | Magiging available kapag: type = google_chat Google Chat webhook URL |
| x_consumer_key | Opsyonal String | Magiging available kapag: type = x Token ng Telegram API |
| x_consumer_secret | Opsyonal String | Magiging available kapag: type = x Token ng Telegram API |
| x_access_token | Opsyonal String | Magiging available kapag: type = x Token ng Telegram API |
| x_access_token_secret | Opsyonal String | Magiging available kapag: type = x Token ng Telegram API |
| is_enabled | Opsyonal Boolean | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \